package com.ibm.oti.shared;

/*
 * Licensed Materials - Property of IBM,
 *     Copyright IBM Corp. 1998, 2010  All Rights Reserved
 */

/**
 * SharedDataHelperFactory provides an interface used to create SharedDataHelpers.
 * <p>
 * @author		OTI
 * @version		initial
 *
 * @see SharedDataHelper
 */
public interface SharedDataHelperFactory {

	/**
	 * Return a SharedDataHelper for a given ClassLoader.<p>
	 * Creates a new SharedDataHelper if one cannot be found,
	 *   otherwise if a SharedDataHelper already exists for the ClassLoader, the existing Helper is returned. <br>
	 * Returns null if a SecurityManager is installed and there is no SharedClassPermission for the ClassLoader specified.
	 * <p>
	 * @see SharedDataHelper
	 *
	 * @author 		OTI
	 * @version 	initial
	 *
	 * @param 		owner ClassLoader.
	 * 					The ClassLoader which owns the SharedDataHelper
	 *
	 * @return		SharedDataHelper.
	 * 					A new or existing SharedDataHelper
	 */
	public SharedDataHelper getDataHelper(ClassLoader owner);
}
